# $Id: tc_base.rb,v 1.1 2002/04/08 20:43:33 knu Exp $

require 'test/unit'

class TC_Base < Test::Unit::TestCase
  def test_select
    base_rb = File.expand_path(File.dirname(__FILE__))
    base_rb.sub!(%r'/tests/features/ruby18$', '/lib/features/ruby18/base.rb')

    if RUBY_VERSION >= '1.7'
      assert_raises(RuntimeError) { load(base_rb) }
    else
      assert_nothing_raised(RuntimeError) { load(base_rb) }
    end
  end
end
